Package org.springframework.security.web.server

# Class WebFilterChainProxy.DefaultWebFilterChainDecorator

java.lang.Object
org.springframework.security.web.server.WebFilterChainProxy.DefaultWebFilterChainDecorator

All Implemented Interfaces:
  `WebFilterChainProxy.WebFilterChainDecorator`

Enclosing class:
  WebFilterChainProxy

public static class WebFilterChainProxy.DefaultWebFilterChainDecorator extends Object implements WebFilterChainProxy.WebFilterChainDecorator
A `WebFilterChainProxy.WebFilterChainDecorator` that uses the `DefaultWebFilterChain`

Since:
  6.0

## Constructor Summary

Constructors
Constructor
Description
`DefaultWebFilterChainDecorator()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.web.server.WebFilterChain`
`decorate(org.springframework.web.server.WebFilterChain original)`
Provide a new `WebFilterChain` that accounts for needed security considerations when there are no security filters.
`org.springframework.web.server.WebFilterChain`
`decorate(org.springframework.web.server.WebFilterChain original, List<org.springframework.web.server.WebFilter> filters)`
Provide a new `WebFilterChain` that accounts for the provided filters as well as the original filter chain.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultWebFilterChainDecorator

public DefaultWebFilterChainDecorator()

## Method Details

### decorate

public org.springframework.web.server.WebFilterChain decorate(org.springframework.web.server.WebFilterChain original)
Provide a new `WebFilterChain` that accounts for needed security considerations when there are no security filters.

Specified by:
  `decorate` in interface `WebFilterChainProxy.WebFilterChainDecorator`
Parameters:
  `original` - the original `WebFilterChain`
Returns:
  a security-enabled `WebFilterChain`

### decorate

public org.springframework.web.server.WebFilterChain decorate(org.springframework.web.server.WebFilterChain original, List<org.springframework.web.server.WebFilter> filters)
Provide a new `WebFilterChain` that accounts for the provided filters as well as the original filter chain.

Specified by:
  `decorate` in interface `WebFilterChainProxy.WebFilterChainDecorator`
Parameters:
  `original` - the original `WebFilterChain`
  `filters` - the security filters
Returns:
  a security-enabled `WebFilterChain` that includes the provided filters